双启动Ubuntu和Windows Vista(原创)

为当前最终发行版之前的所有版本提供支持
回复
sust_sky
帖子: 5
注册时间: 2007-11-26 13:12
送出感谢: 0
接收感谢: 0

双启动Ubuntu和Windows Vista(原创)

#1

帖子 sust_sky » 2007-12-21 22:31

使用EasyBCD可以省略很多步骤来实现ubuntu和vista的双系统引导,下载地址如下:http://neosmart.net/downloads/software/ ... 01.7.1.exe
(通常的Windows安装并不会改动MBR的内容,但如果你安装了一些引导管理程序,它们往往是通过MBR进行设置的。时下很流行的一些“一键恢复”程序,有些也是通过MBR设置的,我就曾经用grub引导win,然后再win下安装winpe硬盘版,导致mbr被写入,双系统都无法引导!)具体操作步骤如下,本人从BCD官方网站翻译如下:
假如你先安装ubuntu,则在你划分好分区之后,系统提示在菜单底部会有“advanced”选项 ,提示安装grub的位置,

安装系统默认,装到mbr上,当然为了方便本文所说方法的实现(免去修复mbr的步骤),你可以选择安装到ubuntu的主

分区上,假如你按照系统默认的方式安装,还要执行以下步骤,
# grub
grub > root (hd0,X-1)
grub > setup (hd0,X-1)
grub > quit
以便把grub安装到Linux分区。
接着正常安装vista(安装成功后mbr被重写,不再出现grub启动菜单,别急!)
第一步:安装EasyBCD,选择"Add/Remove Entries"
第二步:在窗口栏选择"Linux"标签,
第三步:在(GRUB isn't installed to the bootsector)前打勾然后单击"Add Entry"
第四步:到"Manage Bootloader"页面,选择"Reinstall the Vista Bootloader"然后点击"Reinstall the Vista

Bootloader"接着点击写入MBR!
大功告成!重启看看启动效果吧!
当然,如果Linux是后安装的,默认grub启动,可以用到故障修复台通过fdisk /mbr修复mbr。再执行以上步骤!
参考网址http://neosmart.net/wiki/display/EBCD/Ubuntu
macalun
帖子: 8
注册时间: 2007-12-23 22:13
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 macalun » 2007-12-23 22:28

关于Vista和Ubuntu双系统,不知道Vista的软改Bios工具还能顺利激活Vista吗?
有谁试过?成功了吗?
我现在正在考虑是否迁移到Ubuntu呢。如果不能激活Vista,可能会中止行动了,毕竟DX10的游戏还得玩哦!
sust_sky
帖子: 5
注册时间: 2007-11-26 13:12
送出感谢: 0
接收感谢: 0

#3

帖子 sust_sky » 2008-01-01 16:52

macalun 写了:关于Vista和Ubuntu双系统,不知道Vista的软改Bios工具还能顺利激活Vista吗?
有谁试过?成功了吗?
我现在正在考虑是否迁移到Ubuntu呢。如果不能激活Vista,可能会中止行动了,毕竟DX10的游戏还得玩哦!
没问题,丝毫不影响,我的就是软激活 没任何问题
头像
童话里的趴趴熊
帖子: 22
注册时间: 2008-11-01 10:21
送出感谢: 0
接收感谢: 0

Re: 双启动Ubuntu和Windows Vista(原创)

#4

帖子 童话里的趴趴熊 » 2008-11-03 17:01

要是有图图配合一下就完美了~
zhou88918
帖子: 3
注册时间: 2008-07-25 16:36
送出感谢: 0
接收感谢: 0

Re: 双启动Ubuntu和Windows Vista(原创)

#5

帖子 zhou88918 » 2008-12-04 22:59

楼主推荐的的很不错,果然很eazy,不过我按楼主的设置没成功,后来没选GRUB isn't installed to the bootsector 选择boot所在分区,成功了,不过告诉搂住哦,我的vista激活失效了,待会换个激活方式,对了,欧式只菜
菜鸟
eeyy
帖子: 22
注册时间: 2008-07-14 6:29
送出感谢: 0
接收感谢: 0

Re: 双启动Ubuntu和Windows Vista(原创)

#6

帖子 eeyy » 2008-12-20 8:38

确实很好用,顶LZ
回复

回到 “老旧版本支持”